<?php
  /**
  * Sistema Automatizado para la Planificación EstratÃ©gico-Situacional en la Administración PÃºblica Venezolana
  * @file accion_especifica_de_proyecto_seguimiento.module
  * Drupal part Module to code proyectos operativos module
  * Copyright 2016 Sistema Automatizado para la Planificación EstratÃ©gico-Situacional en la Administración PÃºblica Venezolana (CENDITEL)
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 2 of the License, or
  * (at your option) any later version.
  * 
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  * 
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  *
  * @author CENDITEL Merida - Ing. Diego Uzcategui
  * @date 2013-02-07 // (anno-mes-dia)
  * @author CENDITEL Merida - Phd Juan Vizcarrondo (Actualizacion de funciones)
  * @date 2016-12-14 // (anno-mes-dia)
  * @version 0.1
  *
  */
  
/**
 * Consulta la cantidad de comprometido, causado y pagado para TODAS LAS PARTIDAS de una accion especifica. Tambien el ejecutado de meta fisica, y las informaciones complementarias
 */
function _seguimiento_mesactual_partida_ae_deproyecto_load($node, $mes = 0) {
  $seg_arreglo = false;
  $seguimientos_partidas = array();
  if ($mes) {
    $query = "SELECT * from {seguimiento_aeproyecto} where nid = %d and mes = %d";//consulta seguimiento
    $queryResult = db_query($query, $node->nid, $mes);
    $seg_arreglo = db_fetch_array($queryResult);

    if ($seg_arreglo['id_seg']) {
      $query2 = "SELECT * from {seguimiento_aeproyecto_partida} where id_seg = %d";//consulta seguimiento de partidas
      $queryResult2 = db_query($query2, $seg_arreglo['id_seg']);
      while ($seg_partida = db_fetch_array($queryResult2)) {
        $seguimientos_partidas[] = $seg_partida;
      }
    }
  }
  $seguimientomes = array(
    'segmes' => $seg_arreglo,
    'segmespartidas' => $seguimientos_partidas,
  );
  return $seguimientomes;
}

/**
 * Consulta los TOTALES de comprometido, causado, pagado para un mes especifico de una ae. Tambien el ejecutado de meta fisica, y las informaciones complementarias
 */
function _seguimiento_mesactual_partida_ae_deproyecto_totales_load($node, $mes = 0) {
  $seg_arreglo = false;
  $seg_partida_arreglo_total = false;

  if ($mes) {
    $query = "SELECT * from {seguimiento_aeproyecto} where nid=%d and mes = %d";//consulta seguimiento
    $queryResult = db_query($query, $node->nid, $mes);
    $seg_arreglo = db_fetch_array ($queryResult) ;

    if ($seg_arreglo['id_seg']) {
      $query2 = "SELECT SUM(comprometido) as totalcomprometido, SUM(causado) as totalcausado, SUM(pagado) as totalpagado from {seguimiento_aeproyecto_partida} where id_seg = %d";//consulta seguimiento de partidas
      $queryResult2 = db_query($query2, $seg_arreglo['id_seg']);
      $seg_partida_arreglo_total = db_fetch_array($queryResult2);
    }
  }
  $seguimientomes = array(
    'segmes' => $seg_arreglo,
    'segmespartidastotales' => $seg_partida_arreglo_total,
  );
  return $seguimientomes;
}

/**
 * Consulta la cantidad de 'ejecutado' y la 'informacion complementaria de meta fisica' de una AE para TODOS LOS MESES que se han ingresado
 */
function _seguimiento_metafisica_todosmes_ae_deproyecto_load($node) {
  $query = "SELECT * from {seguimiento_aeproyecto} where nid = %d AND mes > 0";//consulta seguimiento
  $queryResult = db_query($query, $node->nid);
  $seguimientos_metafisica_meses = array ();
  while ($seg_metafisica_mes = db_fetch_array($queryResult)) {
    $seguimientos_metafisica_meses[] = $seg_metafisica_mes;
  }
  return $seguimientos_metafisica_meses;
}

/**
 * Consulta la cantidad de 'ejecutado' y la 'informacion complementaria de meta fisica' de una AE para TODOS LOS MESES que se han ingresado
 */
function _seguimiento_metafisica_solomes_ae_deproyecto_load($node, $mes) {
  $queryResult =  db_query("SELECT * FROM {seguimiento_aeproyecto} WHERE nid = %d AND mes = %d", $node->nid, $mes);
  return $seg_metafisica_m = db_fetch_object($queryResult);
}
